org.apache.synapse.transport.netty.listener

## Class Axis2HttpConnectorListener

- java.lang.Object
- - org.apache.synapse.transport.netty.listener.Axis2HttpConnectorListener

- All Implemented Interfaces:
    org.wso2.transport.http.netty.contract.HttpConnectorListener

      public class Axis2HttpConnectorListener
      extends java.lang.Object
      implements org.wso2.transport.http.netty.contract.HttpConnectorListener

  `PassThroughHttpConnectorListener` receives the `HttpCarbonMessage` coming from the Netty HTTP transport, hands it over to the `HttpRequestWorker` to convert it to `MessageContext` and finally deliver it to the axis engine.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axis2HttpConnectorListener(SourceConfiguration sourceConfiguration)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onError(java.lang.Throwable throwable)`
    `void` | `onMessage(org.wso2.transport.http.netty.message.HttpCarbonMessage httpCarbonMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wso2.transport.http.netty.contract.HttpConnectorListener

      `onPushPromise, onPushResponse`

- - ### Constructor Detail

    - #### Axis2HttpConnectorListener

          public Axis2HttpConnectorListener(SourceConfiguration sourceConfiguration)

  - ### Method Detail

    - #### onMessage

          public void onMessage(org.wso2.transport.http.netty.message.HttpCarbonMessage httpCarbonMessage)

      Specified by:
        `onMessage` in interface `org.wso2.transport.http.netty.contract.HttpConnectorListener`

    - #### onError

          public void onError(java.lang.Throwable throwable)

      Specified by:
        `onError` in interface `org.wso2.transport.http.netty.contract.HttpConnectorListener`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.